<?php
require_once dirname(__FILE__) . '/../config/config.php';

session_start();

if(!isset($_SESSION['droppy_admin'])) {
    header('Location: login.php');
    exit;
}

function get_proxibolt_api( $url )
{
    $user_agent='Mozilla/5.0 (Windows NT 6.1; rv:8.0) Gecko/20100101 Firefox/8.0';

    $options = array(

        CURLOPT_CUSTOMREQUEST  =>"GET",        //set request type post or get
        CURLOPT_POST           =>false,        //set to GET
        CURLOPT_USERAGENT      => $user_agent, //set user agent
        CURLOPT_RETURNTRANSFER => true,     // return web page
        CURLOPT_HEADER         => false,    // don't return headers
        CURLOPT_FOLLOWLOCATION => true,     // follow redirects
        CURLOPT_ENCODING       => "",       // handle all encodings
        CURLOPT_AUTOREFERER    => true,     // set referer on redirect
        CURLOPT_CONNECTTIMEOUT => 120,      // timeout on connect
        CURLOPT_TIMEOUT        => 120,      // timeout on response
        CURLOPT_MAXREDIRS      => 10,       // stop after 10 redirects
    );

    $ch      = curl_init( $url );
    curl_setopt_array( $ch, $options );
    $content = curl_exec( $ch );
    $header  = curl_getinfo( $ch );
    curl_close( $ch );

    return $content;
}
?>
<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="Droppy - Admin panel">
    <meta name="author" content="Proxibolt">
    <meta name="keyword" content="">

    <title><?php echo $site_name; ?> - 管理面板</title>

    <link rel="shortcut icon" type="image/png" href="../<?php echo $favicon_path; ?>"/>

    <!-- Bootstrap core CSS -->
    <link href="../src/css/bootstrap/bootstrap.css" rel="stylesheet">
    <!--external css-->
    <link href="//maxcdn.bootstrapcdn.com/font-awesome/4.3.0/css/font-awesome.min.css" rel="stylesheet">
    <link rel="stylesheet" type="text/css" href="../src/plugins/lineicons/style.css">   
    
    <!-- Custom styles for this template -->
    <link href="../src/css/admin.css" rel="stylesheet">
    <link href="../src/css/admin-responsive.css" rel="stylesheet">

    <script src="../src/plugins/chart-master/Chart.js"></script>
    <script src="../src/js/admin/sortable.js"></script>
    <script src="../src/js/admin/jquery.js"></script>
	<script src="../src/js/admin/jquery-1.8.3.min.js"></script>
    <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
      <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
    <![endif]-->
  </head>

  <body>
  <section id="container" >
      <!-- **********************************************************************************************************************************************************
      TOP BAR CONTENT & NOTIFICATIONS
      *********************************************************************************************************************************************************** -->
      <!--header start-->
      <header class="header black-bg">
              <div class="sidebar-toggle-box">
                  <div class="fa fa-bars tooltips" data-placement="right" data-original-title="Toggle Navigation"></div>
              </div>
            <!--logo start-->
            <a href="index.php" class="logo"><img src="../<?php echo $logo_path; ?>" style="height: 30px;"></a>
            <!--logo end-->
            <div class="top-menu">
            	<ul class="nav pull-right top-menu">
                    <li><a class="logout" href="action.php?action=logout">登出</a></li>
            	</ul>
            </div>
        </header>
      <!--header end-->
      
      <!-- **********************************************************************************************************************************************************
      MAIN SIDEBAR MENU
      *********************************************************************************************************************************************************** -->
      <!--sidebar start-->
      <aside>
          <div id="sidebar"  class="nav-collapse ">
              <!-- sidebar menu start-->
              <ul class="sidebar-menu" id="nav-accordion">
                  <li class="mt">
                      <a href="index.php">
                          <i class="fa fa-dashboard"></i>
                          <span>仪表盘</span>
                      </a>
                  </li>

                  <li class="sub-menu">
                      <a href="javascript:;" >
                          <i class="fa fa-cogs"></i>
                          <span>设置</span>
                      </a>
                      <ul class="sub">
                          <li><a href="?page=settings_general">常规设置</a></li>
                          <li><a href="?page=settings_mail">电子邮件设置</a></li>
                          <li><a href="?page=settings_templates">电子邮件模板</a></li>
                          <li><a href="?page=settings_social">社交设置</a></li>
                          <li><a href="?page=settings_lang">语言设定</a></li>
                          <li><a href="?page=settings_termsabout">条款 &amp; 关于</a></li>
                          <li><a href="?page=settings_ads">广告</a></li>
                      </ul>
                  </li>
                  <li class="sub-menu">
                      <a href="?page=uploads">
                          <i class="fa fa-cloud-upload"></i>
                          <span>上传</span>
                      </a>
                  </li>
                  <li class="sub-menu">
                      <a href="?page=downloads">
                          <i class="fa fa-cloud-download"></i>
                          <span>下载</span>
                      </a>
                  </li>
                  <li class="sub-menu">
                      <a href="?page=users">
                          <i class="fa fa-user"></i>
                          <span>用户</span>
                      </a>
                  </li>
                  <li class="sub-menu">
                      <a href="?page=themes">
                          <i class="fa fa-binoculars"></i>
                          <span>主题</span>
                      </a>
                  </li>
                  <li class="sub-menu">
                      <a href="?page=plugins">
                          <i class="fa fa-cubes"></i>
                          <span>插件</span>
                      </a>
                  </li>
                  <li class="sub-menu">
                      <a href="?page=system">
                          <i class="fa fa-server"></i>
                          <span>系统</span>
                      </a>
                  </li>
                  <li class="sub-menu">
                      <a href="?page=log">
                          <i class="fa fa-server"></i>
                          <span>系统日志</span>
                      </a>
                  </li>
                  <li class="sub-menu">
                      <a href="?page=personal">
                          <i class="fa fa-user"></i>
                          <span>我的细节</span>
                      </a>
                  </li>
              </ul>
              <!-- sidebar menu end-->
          </div>
      </aside>
      <!--sidebar end-->
      
      <!-- **********************************************************************************************************************************************************
      MAIN CONTENT
      *********************************************************************************************************************************************************** -->
      <!--main content start-->
      <section id="main-content"> 
      <?php
      switch ($_GET['page']) {
          default:
            $size = array();
            $count_disk = $mysqli->query("SELECT * FROM $table_uploads WHERE status='ready'");
            while($row = $count_disk->fetch_assoc()) {
              $size[] = $row['size'];
            }
            $total_size = round(array_sum($size) / 1048576, 2);
      ?>
          <section class="wrapper">

          <div class="row">
            <div class="col-lg-11 main-chart">
              <?php
              if(file_exists("../install.php")) {
                echo '<div class="alert alert-warning" role="alert" style="text-align: center;">请从Doppy的主目录删除 <b>install.php</b> 文件！</div>';
              }
              if(file_exists("../update.php")) {
                echo '<div class="alert alert-danger" role="alert" style="text-align: center;">请从Doppy的主目录删除 <b>update.php</b> 文件！</div>';
              }
              $permission_uploads = substr(sprintf("%o",fileperms("../uploads/")),-4);
              if($permission_uploads != '0777') {
                echo '<div class="alert alert-info" role="alert" style="text-align: center;">请更改 <b>uploads</b> 目录权限为 777（参见文档）</div>';
              }
              $permission_tmp = substr(sprintf("%o",fileperms("../uploads/tmp/")),-4);
              if($permission_tmp != '0777') {
                echo '<div class="alert alert-success" role="alert" style="text-align: center;">请更改 <b>uploads/tmp/</b> 目录权限为 777（参见文档）</div>';
              }
              $permission_updates = substr(sprintf("%o",fileperms("updates/")),-4);
              if($permission_updates != '0777') {
                echo '<div class="alert alert-success" role="alert" style="text-align: center;">请更改 <b>admin/updates/</b> 目录权限为 777</div>';
              }
              ?>
            	<div class="row mtbox">
                <?php
                $get_all_uploads = $mysqli->query("SELECT * FROM $table_uploads");
                $get_all_active_uploads = $mysqli->query("SELECT * FROM $table_uploads WHERE status='ready'");
                $get_all_downloads = $mysqli->query("SELECT * FROM $table_downloads");
                $get_all_destroyed = $mysqli->query("SELECT * FROM $table_uploads WHERE status='destroyed'");
                ?>
            		<div class="col-md-2 col-sm-2 col-md-offset-2 box0">
            			<div class="box1">
		  			        <i class="fa fa-cloud-upload fa-5x"></i>
		  			        <h3><?php echo $get_all_uploads->num_rows; ?></h3>
            			</div>
		  			      <p>总计 <?php echo $get_all_uploads->num_rows; ?> 上传已被处理 </p>
            		</div>
            		<div class="col-md-2 col-sm-2 box0">
            			<div class="box1">
  					  			<i class="fa fa-cloud fa-5x"></i>
  					  			<h3><?php echo $get_all_active_uploads->num_rows; ?></h3>
            			</div>
					  			<p><?php echo $get_all_active_uploads->num_rows; ?> 活动文件已准备好下载。</p>
            		</div>
            		<div class="col-md-2 col-sm-2 box0">
            			<div class="box1">
  					  			<i class="fa fa-cloud-download fa-5x"></i>
  					  			<h3><?php echo $get_all_downloads->num_rows; ?></h3>
                    			</div>
  					  			<p><?php echo $get_all_downloads->num_rows; ?> 下载已经完成。</p>
            		</div>
            		<div class="col-md-2 col-sm-2 box0">
            			<div class="box1">
  					  			<i class="fa fa-trash fa-5x"></i>
  					  			<h3><?php echo $get_all_destroyed->num_rows; ?></h3>
                  </div>
  					  		<p><?php echo $get_all_destroyed->num_rows; ?> 个项目已被销毁</p>
            		</div>                	
            	</div><!-- /row mt -->	
                  
                      
          <div class="row mt">                                      
          	<div class="col-md-4 col-sm-4 mb">
          		<div class="white-panel pn">
          			<div class="white-header">
  			           <h5>下载最多</h5>
          			</div>
            		<div class="centered" style="padding-top: 20px;">
                <?php
                $get_most_downloaded = $mysqli->query("
                SELECT download_id, COUNT(*) AS magnitude 
                FROM $table_downloads 
                GROUP BY download_id 
                ORDER BY magnitude DESC
                LIMIT 1");
                while($row_downloads = $get_most_downloaded->fetch_assoc()) {
                  $download_id = $row_downloads['download_id'];
									echo '<p><i style="font-wheight: bold;">ID:</i> <a href="' . $site_url . $download_id . '">' . $download_id . '</a></p>';
                  echo '<p><i style="font-wheight: bold;">下载:</i>' . $row_downloads['magnitude'] . '</p>';
                }
                ?>
                </div>
          		</div>
          	</div><!-- /col-md-4 -->
            
            <!-- SERVER STATUS PANELS -->
            <div class="col-md-4 mb">
             <div class="white-panel pn">
                <div class="white-header">
                   <h5>磁盘使用量</h5>
                </div>
                <div style="text-align: center; padding-top: 20px;">
                  <i class="fa fa-server fa-5x" style="font-size: 70px;"></i>
                  <?php
                  if($total_size < 1024):
                  ?>
                  <h2><?php echo $total_size; ?> MB 已被使用</h2>
                  <?php
                  elseif($total_size > 1024):
                  ?>
                  <h2><?php echo round($total_size / 1000, 2); ?> GB 已被使用</h2>
                  <?php
                  endif;
                  ?>
                </div>  
              </div><!-- /white panel -->
            </div><!-- /col-md-4 -->

						<div class="col-md-4 mb">
							<!-- WHITE PANEL - TOP USER -->
							<div class="white-panel pn">
								<div class="white-header">
									<h5>最新上传</h5>
								</div>
								<?php
                $get_latest_upload = $mysqli->query("SELECT * FROM $table_uploads ORDER BY time DESC LIMIT 1");
                while($row = $get_latest_upload->fetch_assoc()) {
                  $upload_id = $row['upload_id'];
                ?>
                <div style="padding-top: 20px; text-align: left;">
                  <p><i style="font-wheight: bold;">ID:</i> <a href="<?php echo $site_url . $upload_id; ?>"><?php echo $upload_id; ?></a></p>
                  <p><i style="font-wheight: bold;">时间:</i> <?php echo date("F j, Y, g:i a", $row['time']); ?></p>
                  <p><i style="font-wheight: bold;">大小:</i> <?php echo round($row['size'] / 1048576, 2); ?> MB</p>
                  <p><i style="font-wheight: bold;">密码:</i> <?php if($row['password'] == 'EMPTY') { echo 'No'; } else { echo 'Yes'; } ?></p>
                  <p><i style="font-wheight: bold;">删除:</i> <?php if($row['status'] == 'destroyed') { echo 'Yes'; } else { echo 'No'; } ?></p>
                </div>
                <?php
                }
                ?>
							</div>
						</div><!-- /col-md-4 -->
          </div><!-- /row -->                                				
        </div><!-- /col-lg-9 END SECTION MIDDLE -->
                  
                  
      <!-- **********************************************************************************************************************************************************
      RIGHT SIDEBAR CONTENT
      *********************************************************************************************************************************************************** -->                  
              </div><! --/row -->
          </section>
      </section>
      <?php
      break;
      case 'settings_general':
      ?>
      <section class="wrapper">
        <div class="row mt">
                <div class="col-lg-12">
                    <div class="form-panel" style="overflow:hidden;">
                        <h4 class="mb"><i class="fa fa-angle-right"></i> 一般设置</h4>
                        <form class="form-horizontal style-form" method="post" action="action.php" enctype="multipart/form-data">
                          <input type="hidden" name="action" value="settings_general">
                            <div class="form-group">
                                <label class="col-sm-2 col-sm-2 control-label">网站名</label>
                                <div class="col-sm-10">
                                    <input type="text" name="site_name" class="form-control" value="<?php echo $site_name; ?>">
                                    <i>你的网站名称（如：Droppy）</i>
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="col-sm-2 col-sm-2 control-label">站点标题</label>
                                <div class="col-sm-10">
                                    <input type="text" name="site_title" class="form-control" value="<?php echo $site_title; ?>">
                                    <i>你的网站标题，例如：Doppy-在线文件共享（这将在浏览器选项卡中显示）</i>
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="col-sm-2 col-sm-2 control-label">站点描述（搜索引擎）</label>
                                <div class="col-sm-10">
                                    <input type="text" name="site_desc" class="form-control" value="<?php echo $site_desc; ?>">
                                    <i>网站描述</i>
                                </div>
                            </div>

                            <div class="form-group">
                                <label class="col-sm-2 col-sm-2 control-label">zip文件名</label>
                                <div class="col-sm-10">
                                    <input type="text" name="name_on_file" class="form-control" value="<?php echo $name_on_file; ?>">
                                    <i>下载的zip文件上的名称（例如 <u>droppy</u>-sg785ey.zip or <u>文件</u>-82js87w.zip)</i> <p><b>警告:</b> 通过编辑这个名字，你将无法下载旧文件了。</p>
                                </div>
                            </div>

                            <div class="form-group">
                                <label class="col-sm-2 col-sm-2 control-label">网站网址</label>
                                <div class="col-sm-10">
                                    <input type="text" name="site_url" class="form-control" value="<?php echo $site_url; ?>">
                                    <i>网站的网址</i>
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="col-sm-2 col-sm-2 control-label">logo路径</label>
                                <div class="col-sm-10">
                                    <input type="text" name="logo_path" class="form-control" value="<?php echo $logo_path; ?>">
                                    <i>你的logo图像路径</i>
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="col-sm-2 col-sm-2 control-label">Favicon 路径</label>
                                <div class="col-sm-10">
                                    <input type="text" name="favicon_path" class="form-control" value="<?php echo $favicon_path; ?>">
                                    <i>你喜欢 Favicon 的路径</i>
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="col-sm-2 col-sm-2 control-label">锁定网站</label>
                                <div class="col-sm-10">
                                    <select class="form-control" name="lock_page">
                                        <option value="false" <?php if($lock_page == 'false') { echo 'selected'; } ?>>禁止锁定</option>
                                        <option value="both" <?php if($lock_page == 'both') { echo 'selected'; } ?>>上传、下载页面</option>
                                        <option value="upload" <?php if($lock_page == 'upload') { echo 'selected'; } ?>>上传页面</option>
                                        <option value="download" <?php if($lock_page == 'download') { echo 'selected'; } ?>>下载页面</option>
                                    </select>
                                    <i>选择您希望使用密码保护的网站的哪一部分。</i>
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="col-sm-2 col-sm-2 control-label">默认的分享类型</label>
                                <div class="col-sm-10">
                                    <select class="form-control" name="default_sharetype">
                                        <option value="mail" <?php if($default_sharetype == 'mail') { echo 'selected'; } ?>>邮箱</option>
                                        <option value="link" <?php if($default_sharetype == 'link') { echo 'selected'; } ?>>链接</option>
                                    </select>
                                    <i>共享类型邮箱或链接页面加载</i>
                                    
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="col-sm-2 col-sm-2 control-label">密码功能启用</label>
                                <div class="col-sm-10">
                                    <select class="form-control" name="password_enabled">
                                        <option value="true" <?php if($password_enabled == 'true') { echo 'selected'; } ?>>是</option>
                                        <option value="false" <?php if($password_enabled == 'false') { echo 'selected'; } ?>>否</option>
                                    </select>
                                    <i>打开或关闭密码功能</i>
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="col-sm-2 col-sm-2 control-label">默认自动删除</label>
                                <div class="col-sm-10">
                                    <select class="form-control" name="default_destruct">
                                        <option value="yes" <?php if($default_destruct == 'yes') { echo 'selected'; } ?>>是</option>
                                        <option value="no" <?php if($default_destruct == 'no') { echo 'selected'; } ?>>否</option>
                                    </select>
                                    <i>上传设置部分的销毁选项会自动选择是或否</i>
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="col-sm-2 col-sm-2 control-label">默认电邮地址</label>
                                <div class="col-sm-10">
                                    <input type="text" name="default_email_to" class="form-control" value="<?php echo $default_email_to; ?>">
                                    <i>所有上传需要发送到的默认电子邮件（留空以让用户选择他们自己的收件人）</i>
                                </div>
                            </div>
                            <div class="form-group" id="backgrounds">
                                <label class="col-sm-2 col-sm-2 control-label">背景图片/视频</label>
                                <div class="col-sm-10">
                                    <p style="color: red;">重要提示：具有相同名称的文件将被忽略，请尝试更改服务器上已存在的文件名。<br> 上传失败时，尝试给 <span style="color:black">src/images/backgrounds/</span> 目录777权限或联系Proxibolt获得支持。</p>
                                    <p>背景图片应该是JPG和PNG，您也可以上传视频，但您只能选择.MP4视频（由于浏览器限制）</p>
                                    <?php
                                    $get_backgrounds = $mysqli->query("SELECT * FROM $table_backgrounds");
                                    if($get_backgrounds->num_rows == 0) :
                                    ?>
                                    <b>选择文件:</b>(仅为图像) <input type="file" name="background[]" accept="image/*,video/mp4">
                                    <input type="text" name="background_url[]" class="form-control" placeholder="Background href (Leave empty for nothing)"><hr>
                                    <div id="extraBG"></div>
                                    <?php
                                    else :
                                    ?>
                                    <div id="extraBG">
                                    <?php
                                    while($rows = $get_backgrounds->fetch_assoc()){
                                      echo '<div style="padding-top: 30px;"><input type="text" name="background[]" class="form-control" value="' . $rows['src'] . '" disabled><br>';
                                      echo '<input type="text" name="background_url[]" class="form-control" value="' . $rows['url'] . '" disabled>
                                      <div style="float: right; padding-right: 5px;"><a href="action.php?action=rm_bg&id=' . $rows['id'] . '" class="btn btn-danger btn-sm">删除</a></div><br></div>';
                                    }
                                    ?>
                                    </div>
                                    <?php
                                    endif;
                                    ?>
                                    <div style="float: right; padding-right: 5px; padding-top: 20px; clear: both;">
                                      <button type="button" onclick="add_bg_section()" class="btn btn-primary btn-sm">添加背景输出</button>
                                    </div>
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="col-sm-2 col-sm-2 control-label">滑动计时器</label>
                                <div class="col-sm-10">
                                    <input type="text" name="bg_timer" class="form-control" value="<?php echo $bg_timer; ?>">
                                    <i>每次背景图像（秒）输入0之间的时间以禁用此功能</i>
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="col-sm-2 col-sm-2 control-label">语言</label>
                                <div class="col-sm-10">
                                    <input type="text" name="lang" class="form-control" value="<?php echo $language; ?>">
                                    <i>只能是语言文件名，不是路径！</i>
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="col-sm-2 col-sm-2 control-label">到期时间</label>
                                <div class="col-sm-10">
                                    <select class="form-control" name="expire">
                                        <option value="0" <?php if($expire == '0') { echo 'selected'; } ?>>禁用</option>
                                        <optgroup label="Hours">
                                          <option value="3600" <?php if($expire == '3600') { echo 'selected'; } ?>>1 小时</option>
                                          <option value="10800" <?php if($expire == '10800') { echo 'selected'; } ?>>3 小时</option>
                                          <option value="18000" <?php if($expire == '18000') { echo 'selected'; } ?>>5 小时</option>
                                          <option value="28800" <?php if($expire == '28800') { echo 'selected'; } ?>>8 小时</option>
                                          <option value="36000" <?php if($expire == '36000') { echo 'selected'; } ?>>10 小时</option>
                                          <option value="43200" <?php if($expire == '43200') { echo 'selected'; } ?>>12 小时</option>
                                          <option value="50400" <?php if($expire == '50400') { echo 'selected'; } ?>>14 小时</option>
                                          <option value="57600" <?php if($expire == '57600') { echo 'selected'; } ?>>16 小时</option>
                                          <option value="64800" <?php if($expire == '64800') { echo 'selected'; } ?>>18 小时</option>
                                          <option value="72000" <?php if($expire == '72000') { echo 'selected'; } ?>>20 小时</option>
                                          <option value="79200" <?php if($expire == '79200') { echo 'selected'; } ?>>22 小时</option>
                                        </optgroup>
                                        <optgroup label="Days">
                                          <option value="86400" <?php if($expire == '86400') { echo 'selected'; } ?>>1 天</option>
                                          <option value="172800" <?php if($expire == '172800') { echo 'selected'; } ?>>2 天</option>
                                          <option value="259200" <?php if($expire == '259200') { echo 'selected'; } ?>>3 天</option>
                                          <option value="345600" <?php if($expire == '345600') { echo 'selected'; } ?>>4 天</option>
                                          <option value="432000" <?php if($expire == '432000') { echo 'selected'; } ?>>5 天</option>
                                          <option value="518400" <?php if($expire == '518400') { echo 'selected'; } ?>>6 天</option>
                                        </optgroup>
                                        <optgroup label="Weeks">
                                          <option value="604800" <?php if($expire == '604800') { echo 'selected'; } ?>>1 周</option>
                                          <option value="1209600" <?php if($expire == '1209600') { echo 'selected'; } ?>>2 周</option>
                                          <option value="1814400" <?php if($expire == '1814400') { echo 'selected'; } ?>>3 周</option>
                                        </optgroup>
                                        <optgroup label="Months">
                                          <option value="2592000" <?php if($expire == '2592000') { echo 'selected'; } ?>>1 个月</option>
                                          <option value="5184000" <?php if($expire == '5184000') { echo 'selected'; } ?>>2 个月</option>
                                          <option value="7776000" <?php if($expire == '7776000') { echo 'selected'; } ?>>3 个月</option>
                                          <option value="10368000" <?php if($expire == '10368000') { echo 'selected'; } ?>>4 个月</option>
                                          <option value="12960000" <?php if($expire == '12960000') { echo 'selected'; } ?>>5 个月</option>
                                          <option value="15552000" <?php if($expire == '15552000') { echo 'selected'; } ?>>6 个月</option>
                                          <option value="18144000" <?php if($expire == '18144000') { echo 'selected'; } ?>>7 个月</option>
                                          <option value="20736000" <?php if($expire == '20736000') { echo 'selected'; } ?>>8 个月</option>
                                          <option value="23328000" <?php if($expire == '23328000') { echo 'selected'; } ?>>9 个月</option>
                                          <option value="25920000" <?php if($expire == '25920000') { echo 'selected'; } ?>>10 个月</option>
                                          <option value="28512000" <?php if($expire == '28512000') { echo 'selected'; } ?>>11 个月</option>
                                          <option value="31104000" <?php if($expire == '31104000') { echo 'selected'; } ?>>12 个月</option>
                                        </optgroup>
                                    </select>
                                    <p><i>直到文件被删除的时间</i></p>
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="col-sm-2 col-sm-2 control-label">最大选定的文件</label>
                                <div class="col-sm-10">
                                    <input type="number" name="max_select" class="form-control" value="<?php echo $max_upload_files; ?>">
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="col-sm-2 col-sm-2 control-label">最大上传大小 <b>(MB)</b></label>
                                <div class="col-sm-10">
                                    <input type="number" name="max_upload" class="form-control" value="<?php echo $max_size; ?>">
                                    <i>最大上传大小 MB</i>
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="col-sm-2 col-sm-2 control-label">最大文件报告</label>
                                <div class="col-sm-10">
                                    <input type="number" name="max_file_reports" class="form-control" value="<?php echo $max_file_reports; ?>">
                                    <i>文件被删除之前需要的报告量（将0设置为禁用）</i>
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="col-sm-2 col-sm-2 control-label">加密文件 (<a href="https://proxibolt.zendesk.com/hc/en-us/articles/115001511049" target="_blank" style="color: blue;">更多信息</a>)</label>
                                <div class="col-sm-10">
                                    <select class="form-control" name="encrypt_files">
                                        <option value="1" <?php if($encrypt_files == '1') { echo 'selected'; } ?>>开启</option>
                                        <option value="0" <?php if($encrypt_files == '0') { echo 'selected'; } ?>>禁用</option>
                                    </select>
                                    <i><span style="color: red;">重要！</span> 您需要在服务器上安装PHP模块“mcrypt”。已经在服务器上的
文件将保持未加密状态，只有新上传的文件会被加密，未加密的文件仍然可以下载。有关加密功能的更多信息可以在 </i><a href="https://proxibolt.zendesk.com/hc/en-us/articles/115001511049" target="_blank" style="color: blue;"> 本文中 </a>找到
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="col-sm-2 col-sm-2 control-label">被阻止的文件类型</label>
                                <div class="col-sm-10">
                                    <textarea class="form-control" name="blocked_types" style="width: 100%; height: 100px;"><?php echo $disallowed_types; ?></textarea>
                                    <i>选择要阻止的文件类型。（用逗号分隔值'，'在它们之间没有任何空格，所有文件类型可以在）<a href="http://www.iana.org/assignments/media-types/media-types.xhtml">这里</a>找到)</i>
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="col-sm-2 col-sm-2 control-label">上传目录</label>
                                <div class="col-sm-10">
                                    <input type="text" name="upload_dir" class="form-control" value="<?php echo $upload_dir; ?>">
                                    <i>不要忘记在最后添加“/”</i>
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="col-sm-2 col-sm-2 control-label">Google Analytics代码</label>
                                <div class="col-sm-10">
                                    <textarea name="analytics" class="form-control" style="width: 100%; height: 200px;"><?php echo $analytics_code; ?></textarea>
                                </div>
                            </div>
                            <div style="float: right; padding-right: 5px;">
                              <button type="submit" class="btn btn-success" ><i class="fa fa-floppy-o"></i> 保存</button>
                            </div>
                      </form>
                  </div>
              </div><!-- col-lg-12-->       
          </div><!-- /row -->
      </section>
      <?php
      break;
      case 'settings_mail':
      ?>
      <section class="wrapper">
        <div class="row mt">
                <div class="col-lg-12">
                    <div class="form-panel" style="overflow:hidden ;">
                        <h4 class="mb"><i class="fa fa-angle-right"></i> 电子邮件设置</h4>
                        <form class="form-horizontal style-form" method="post" action="action.php">
                          <input type="hidden" name="action" value="settings_mail">
                            <div class="form-group">
                                <label class="col-sm-2 col-sm-2 control-label">邮箱用户名</label>
                                <div class="col-sm-10">
                                    <input type="text" name="email_from_name" class="form-control" value="<?php echo $email_from_name; ?>">
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="col-sm-2 col-sm-2 control-label">邮箱地址</label>
                                <div class="col-sm-10">
                                    <input type="email" name="email_from_email" class="form-control" value="<?php echo $email_from_email; ?>">
                                </div>
                            </div>                       
                            <div class="form-group">
                                <label class="col-sm-2 col-sm-2 control-label">服务器</label>
                                <div class="col-sm-10">
                                    <select class="form-control" name="email_server" id="email_server" onchange="emailServer()">
                                        <option value="<?php echo $email_server; ?>" selected style="display:none;"><?php echo $email_server; ?></option>
                                        <option value="本地">本地</option>
                                        <option value="SMTP">SMTP</option>
                                    </select>
                                </div>
                            </div>
                            <div id="smtpSection" <?php if($email_server == 'LOCAL') { echo 'style="display: none;"'; } ?>>                           
                              <div class="form-group">
                                  <label class="col-sm-2 col-sm-2 control-label">SMTP 主机</label>
                                  <div class="col-sm-10">
                                      <input type="text" name="smtp_host" class="form-control" value="<?php echo $smtp_host; ?>">
                                  </div>
                              </div>
                              <div class="form-group">
                                  <label class="col-sm-2 col-sm-2 control-label">SMTP 认证</label>
                                  <div class="col-sm-10">
                                      <select class="form-control" name="smtp_auth">
                                          <option value="true" <?php if($smtp_auth == 'true') { echo 'selected'; } ?>>启用</option>
                                          <option value="false" <?php if($smtp_auth == 'false') { echo 'selected'; } ?>>关闭</option>
                                      </select>
                                  </div>
                              </div>
                              <div class="form-group">
                                  <label class="col-sm-2 col-sm-2 control-label">SMTP 端口</label>
                                  <div class="col-sm-10">
                                      <input type="text" name="smtp_port" class="form-control" value="<?php echo $smtp_port; ?>">
                                  </div>
                              </div>
                              <div class="form-group">
                                  <label class="col-sm-2 col-sm-2 control-label">SMTP 安全</label>
                                  <div class="col-sm-10">
                                      <select class="form-control" name="smtp_secure">
                                          <option value="tls" <?php if($smtp_secure == 'tls') { echo 'selected'; } ?>>TLS</option>
                                          <option value="ssl" <?php if($smtp_secure == 'ssl') { echo 'selected'; } ?>>SSL</option>
                                          <option value="none" <?php if($smtp_secure == 'none') { echo 'selected'; } ?>>没有</option>
                                      </select>
                                  </div>
                              </div>
                              <div class="form-group">
                                  <label class="col-sm-2 col-sm-2 control-label">SMTP 用户名</label>
                                  <div class="col-sm-10">
                                      <input type="text" name="smtp_username" class="form-control" value="<?php echo $smtp_username; ?>">
                                  </div>
                              </div>
                              <div class="form-group">
                                  <label class="col-sm-2 col-sm-2 control-label">SMTP 密码</label>
                                  <div class="col-sm-10">
                                      <input type="password" name="smtp_password" class="form-control" placeholder="SMTP Password (Leave empty if you do not want to change it)">
                                  </div>
                              </div>
                            </div>
                            <div id="localSection" <?php if($email_server == 'SMTP') { echo 'style="display: none;"'; } ?>>
                              <div class="form-group">
                                <h4 style="text-align: center;">您选择了“本地服务器”，当本地服务器被选中时，没有更多的选项。</h4>
                              </div>
                            </div>
                            <div style="float: right; padding-right: 5px;">
                              <button type="submit" class="btn btn-success" ><i class="fa fa-floppy-o"></i> 保存</button>
                            </div>
                      </form>
                  </div>
              </div><!-- col-lg-12-->       
          </div><!-- /row -->
      </section>
      <?php
      break;
      case 'settings_templates':
      ?>
      <section class="wrapper">
        <div class="row mt">
                <div class="col-lg-12">
                    <div class="form-panel" style="overflow:hidden;">
                        <div style="float: left;">
                          <h4 class="mb"><i class="fa fa-angle-right"></i> 电子邮件模板</h4>
                        </div>
                        <?php
                        if(isset($_GET['lang'])) :
                          $temp_lang = mysqli_real_escape_string($mysqli, $_GET['lang']);

                          $select_receiver = $mysqli->query("SELECT * FROM $table_templates WHERE type='receiver' AND lang='$temp_lang'");
                          while($row = $select_receiver->fetch_assoc()) {
                            $temp_receiver_admin = $row['msg'];
                          }
                          $select_sender= $mysqli->query("SELECT * FROM $table_templates WHERE type='sender' AND lang='$temp_lang'");
                          while($row = $select_sender->fetch_assoc()) {
                            $temp_sender_admin = $row['msg'];
                          }
                          $select_destroyed = $mysqli->query("SELECT * FROM $table_templates WHERE type='destroyed' AND lang='$temp_lang'");
                          while($row = $select_destroyed->fetch_assoc()) {
                            $temp_destroyed_admin = $row['msg'];
                          }
                          $select_downloaded = $mysqli->query("SELECT * FROM $table_templates WHERE type='downloaded' AND lang='$temp_lang'");
                          while($row = $select_downloaded->fetch_assoc()) {
                              $temp_downloaded_admin = $row['msg'];
                          }

                          //Subject settings
                          $select_receiver_subject = $mysqli->query("SELECT * FROM $table_templates WHERE type='receiver_subject' AND lang='$temp_lang'");
                          while($row = $select_receiver_subject->fetch_assoc()) {
                            $receiver_subject_admin = $row['msg'];
                          }
                          $select_sender_subject = $mysqli->query("SELECT * FROM $table_templates WHERE type='sender_subject' AND lang='$temp_lang'");
                          while($row = $select_sender_subject->fetch_assoc()) {
                            $sender_subject_admin = $row['msg'];
                          }
                          $select_destroyed_subject = $mysqli->query("SELECT * FROM $table_templates WHERE type='destroyed_subject' AND lang='$temp_lang'");
                          while($row = $select_destroyed_subject->fetch_assoc()) {
                            $destroyed_subject_admin = $row['msg'];
                          }
                          $select_downloaded_subject = $mysqli->query("SELECT * FROM $table_templates WHERE type='downloaded_subject' AND lang='$temp_lang'");
                          while($row = $select_downloaded_subject->fetch_assoc()) {
                              $downloaded_subject_admin = $row['msg'];
                          }
                        ?>
                        <script>
                        function langSelector() 
                        {
                          var selectedLang = document.getElementById('langSelector').value;
                          window.location.href = "index.php?page=settings_templates&lang="+selectedLang;
                        }
                        </script>
                        <div style="float: right;">
                          <select id="langSelector" onchange="langSelector()">
                            <option selected="true" disabled="disabled">-- 选择语言 --</option>
                            <?php
                            $get_languages = $mysqli->query("SELECT * FROM $table_language");
                            while($row = $get_languages->fetch_assoc()) 
                            {
                              echo '<option value="' . $row['path'] . '">' . $row['name'] . '</option>';
                            }
                            ?>
                          </select>
                        </div>
                        <form class="form-horizontal style-form" method="post" action="action.php" style="margin-top: 80px;">
                            <input type="hidden" name="action" value="settings_template">
                            <input type="hidden" name="lang" value="<?php echo $temp_lang; ?>">
                            <div class="form-group">
                                <label class="col-sm-2 col-sm-2 control-label">接收人</label>
                                <div class="col-sm-10">
                                    <input type="text" class="form-control" name="receiver_subject" placeholder="接收人邮件主题" value="<?php echo $receiver_subject_admin; ?>"><br>
                                    <textarea name="temp_receiver" class="form-control" style="width: 100%; height: 200px;"><?php echo $temp_receiver_admin; ?></textarea>
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="col-sm-2 col-sm-2 control-label">发件人</label>
                                <div class="col-sm-10">
                                    <input type="text" class="form-control" name="sender_subject" placeholder="发件人邮件主题" value="<?php echo $sender_subject_admin; ?>"><br>
                                    <textarea name="temp_sender" class="form-control" style="width: 100%; height: 200px;"><?php echo $temp_sender_admin; ?></textarea>
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="col-sm-2 col-sm-2 control-label">被删除通知</label>
                                <div class="col-sm-10">
                                    <input type="text" class="form-control" name="destroyed_subject" placeholder="接收人邮件主题" value="<?php echo $destroyed_subject_admin; ?>"><br>
                                    <textarea name="temp_destroyed" class="form-control" style="width: 100%; height: 200px;"><?php echo $temp_destroyed_admin; ?></textarea>
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="col-sm-2 col-sm-2 control-label">已下载通知</label>
                                <div class="col-sm-10">
                                    <input type="text" class="form-control" name="downloaded_subject" placeholder="已下载邮件主题" value="<?php echo $downloaded_subject_admin; ?>"><br>
                                    <textarea name="temp_downloaded" class="form-control" style="width: 100%; height: 200px;"><?php echo $temp_downloaded_admin; ?></textarea>
                                </div>
                            </div>
                            <div style="float: right; padding-right: 5px;">             
                              <button type="submit" class="btn btn-success" ><i class="fa fa-floppy-o"></i> 保存</button>
                            </div>
                      </form>
                      <?php

                      else:
                      ?>
                      <script>
                      function langSelector() 
                      {
                        var selectedLang = document.getElementById('langSelector').value;
                        window.location.href = "index.php?page=settings_templates&lang="+selectedLang;
                      }
                      </script>
                      <div class="form-group" style="margin-top: 80px;">
                        <select id="langSelector" onchange="langSelector()" class="form-control">
                          <option selected="true" disabled="disabled">-- 选择语言 --</option>
                          <?php
                          $get_languages = $mysqli->query("SELECT * FROM $table_language");
                          while($row = $get_languages->fetch_assoc()) 
                          {
                            echo '<option value="' . $row['path'] . '">' . $row['name'] . '</option>';
                          }
                          ?>
                        </select>
                        <p><i>转到这个 <a href="index.php?page=settings_lang"><span class="label label-info">页面</span></a> 如果您想添加更多的语言选项。</i></p>
                      </div>
                      <?php
                      endif;
                      ?>
                  </div>
              </div><!-- col-lg-12-->       
          </div><!-- /row -->
      </section>
      <?php
      break;
      case 'settings_ads':
      ?>
      <section class="wrapper">
        <div class="row mt">
                <div class="col-lg-12">
                    <div class="form-panel" style="overflow:hidden;">
                        <h4 class="mb"><i class="fa fa-angle-right"></i> 广告</h4>
                        <form class="form-horizontal style-form" method="post" action="action.php">
                          <input type="hidden" name="action" value="settings_ads">
                          <div class="form-group">
                            <label class="col-sm-2 col-sm-2 control-label">启用菜单中的广告</label>
                            <div class="col-sm-10">
                              <select class="form-control" name="ad_1_enabled">
                                <option value="true" <?php if($ad_1_enabled == 'true') { echo 'selected'; } ?>>是</option>
                                <option value="false" <?php if($ad_1_enabled == 'false') { echo 'selected'; } ?>>否</option>
                              </select>
                            </div>
                          </div>
                          <div class="form-group">
                              <label class="col-sm-2 col-sm-2 control-label">菜单代码中的广告</label>
                              <div class="col-sm-10">
                                  <textarea name="ad_1_code" class="form-control" style="width: 100%; height: 300px;"><?php echo $ad_1_code; ?></textarea>
                                  <p><i>广告代码，如果您使用的是adsense，请不要忘记包含javascript标签</i></p>
                              </div>
                          </div>
                          <div class="form-group">
                            <label class="col-sm-2 col-sm-2 control-label">启用上传/下载广告</label>
                            <div class="col-sm-10">
                              <select class="form-control" name="ad_2_enabled">
                                <option value="true" <?php if($ad_2_enabled == 'true') { echo 'selected'; } ?>>是</option>
                                <option value="false" <?php if($ad_2_enabled == 'false') { echo 'selected'; } ?>>否</option>
                              </select>
                            </div>
                          </div>
                          <div class="form-group">
                              <label class="col-sm-2 col-sm-2 control-label">上传/下载代码的广告</label>
                              <div class="col-sm-10">
                                  <textarea name="ad_2_code" class="form-control" style="width: 100%; height: 300px;"><?php echo $ad_2_code; ?></textarea>
                                  <p><i>广告代码，如果您使用的是adsense，请不要忘记包含javascript标签</i></p>
                              </div>
                          </div>
                          <div style="float: right; padding-right: 5px;">             
                            <button type="submit" class="btn btn-success" ><i class="fa fa-floppy-o"></i> 保存</button>
                          </div>
                      </form>
                  </div>
              </div><!-- col-lg-12-->       
          </div><!-- /row -->
      </section>
      <?php
      break;
      case 'settings_social' :
      ?>
      <section class="wrapper">
        <div class="row mt">
                <div class="col-lg-12">
                    <div class="form-panel" style="overflow:hidden;">
                        <h4 class="mb"><i class="fa fa-angle-right"></i> 社交设置</h4>
                        <form class="form-horizontal style-form" method="post" action="action.php">
                          <input type="hidden" name="action" value="settings_social">
                            <div class="form-group">
                                <label class="col-sm-2 col-sm-2 control-label">Facebook</label>
                                <div class="col-sm-10">
                                    <input type="text" class="form-control" name="facebook" placeholder="Facebook url" value="<?php echo $social_facebook; ?>">
                                    <p><i>留空以禁用它</i></p>
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="col-sm-2 col-sm-2 control-label">Twitter</label>
                                <div class="col-sm-10">
                                    <input type="text" class="form-control" name="twitter" placeholder="Twitter plus url" value="<?php echo $social_twitter; ?>">
                                    <p><i>留空以禁用它</i></p>
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="col-sm-2 col-sm-2 control-label">Google plus</label>
                                <div class="col-sm-10">
                                    <input type="text" class="form-control" name="google" placeholder="Google plus url" value="<?php echo $social_google; ?>">
                                    <p><i>留空以禁用它</i></p>
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="col-sm-2 col-sm-2 control-label">Instagram</label>
                                <div class="col-sm-10">
                                    <input type="text" class="form-control" name="instagram" placeholder="Instagram url" value="<?php echo $social_instagram; ?>">
                                    <p><i>留空以禁用它</i></p>
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="col-sm-2 col-sm-2 control-label">GitHub</label>
                                <div class="col-sm-10">
                                    <input type="text" class="form-control" name="github" placeholder="GitHub url" value="<?php echo $social_github; ?>">
                                    <p><i>留空以禁用它</i></p>
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="col-sm-2 col-sm-2 control-label">Tumblr</label>
                                <div class="col-sm-10">
                                    <input type="text" class="form-control" name="tumblr" placeholder="Tumblr url" value="<?php echo $social_tumblr; ?>">
                                    <p><i>留空以禁用它</i></p>
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="col-sm-2 col-sm-2 control-label">Pinterest</label>
                                <div class="col-sm-10">
                                    <input type="text" class="form-control" name="pinterest" placeholder="Pinterest url" value="<?php echo $social_pinterest; ?>">
                                    <p><i>留空以禁用它</i></p>
                                </div>
                            </div>
                            <div style="float: right; padding-right: 5px;">             
                              <button type="submit" class="btn btn-success" ><i class="fa fa-floppy-o"></i> 保存</button>
                            </div>
                      </form>
                  </div>
              </div><!-- col-lg-12-->       
          </div><!-- /row -->
      </section>
      <?php
      break;
      case 'settings_termsabout':
      ?>
      <section class="wrapper">
        <div class="row mt">
                <div class="col-lg-12">
                    <div class="form-panel" style="overflow:hidden;">
                        <h4 class="mb"><i class="fa fa-angle-right"></i> 条款 &amp; 关于</h4>
                        <form class="form-horizontal style-form" method="post" action="action.php">
                          <input type="hidden" name="action" value="settings_termsabout">
                            <div class="form-group">
                              <label class="col-sm-2 col-sm-2 control-label">用户需要接受的条款</label>
                              <div class="col-sm-10">
                                <select class="form-control" name="accept_terms">
                                  <option value="yes" <?php if($accept_terms_enabled == 'yes') { echo 'selected'; } ?>>是</option>
                                  <option value="no" <?php if($accept_terms_enabled == 'no') { echo 'selected'; } ?>>否</option>
                                </select>
                              </div>
                            </div>
                            <div class="form-group">
                                <label class="col-sm-2 col-sm-2 control-label">条款</label>
                                <div class="col-sm-10">
                                    <textarea class="form-control" name="terms" style="width: 100%; height: 300px;"><?php echo $terms_text; ?></textarea>
                                    <p><i>您可以使用HTML来设置文本的样式</i></p>
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="col-sm-2 col-sm-2 control-label">关于</label>
                                <div class="col-sm-10">
                                    <textarea class="form-control" name="about" style="width: 100%; height: 300px;"><?php echo $about_text; ?></textarea>
                                    <p><i>您可以使用HTML来设置文本的样式</i></p>
                                </div>
                            </div>
                            <div style="float: right; padding-right: 5px;">             
                              <button type="submit" class="btn btn-success" ><i class="fa fa-floppy-o"></i> 保存</button>
                            </div>
                      </form>
                  </div>
              </div><!-- col-lg-12-->       
          </div><!-- /row -->
      </section>
      <?php
      break;
      case 'settings_lang':
      ?>
      <section class="wrapper">
            <h3><i class="fa fa-angle-right"></i> 语言设定</h3>
          <div class="row mt">
            <div class="col-lg-12">
                      <div class="content-panel">
                          <section id="unseen" style="overflow:auto;">
                            <table class="table table-bordered table-striped table-condensed sortable">
                              <thead>
                                <tr>
                                    <th>ID</th>
                                    <th>名称</th>
                                    <th>路径</th>
                                    <th>操作</th>
                                </tr>
                              </thead>
                              <tbody>
                              <?php
                                $get_lang = $mysqli->query("SELECT * FROM $table_language");

                                //Echo table content
                                while($row = $get_lang->fetch_assoc()) {
                                  echo '<tr>';
                                  echo '<td>' . $row['id'] . '</td>';
                                  echo '<td>' . $row['name'] . '</td>';
                                  echo '<td>' . $row['path'] . '</td>';
                                  echo '<td><a href="action.php?action=rm_lang&lang=' . $row['id'] . '"><li class="fa fa-trash"></li> 移除</a></td>';
                                  echo '</tr>';
                                }
                              ?>                          
                            </tbody>
                        </table>
                        <p><i>语言文件位于目录中 <code>/config/language/</code>，需要在其中添加新的语言文件。
                        <form action="action.php" method="POST">
                          <input type="hidden" name="action" value="add_lang">
                          <div style="padding-top: 20px;">
                            <div style="float: left; padding-left: 10px; width: 250px;">
                              <input type="text" class="form-control input-sm" name="name" placeholder="名称">
                            </div>
                            <div style="float: left; padding-left: 6px; width: 250px;">
                              <input type="text" class="form-control input-sm" name="path" placeholder="路径（仅文件名）">
                            </div>
                            <div style="float: left; padding-left: 6px; width: 100px;">
                              <input type="submit" class="btn btn-success btn-sm" value="添加">
                            </div>
                          </div>
                        </form>
                      </section>
                  </div><!-- /content-panel -->
               </div><!-- /col-lg-4 -->
        </div><!-- /row -->
      <?php
      break;
      case 'plugin_settings':
      ?>
      <section class="wrapper">
        <div class="row mt">
          <div class="col-lg-12">
            <?php 
            $plugin_id = $_GET['id'];

            $get_plugin = $mysqli->query("SELECT * FROM $table_plugins WHERE id='$plugin_id'");
            while($plugin = $get_plugin->fetch_assoc()) {
              include dirname(__FILE__) . '/../plugins/' . $plugin['path'] . 'plugin_settings.php';
            }
            ?>            
          </div><!-- col-lg-12-->       
        </div><!-- /row -->
      </section>
      <?php
      break;
      case 'system':
      $latest_version = get_proxibolt_api('http://api.proxibolt.com/versions/droppy/v.html');
      ?>
      <section class="wrapper">
        <?php
        $get_settings = $mysqli->query("SELECT * FROM $table_settings");
        while($system = $get_settings->fetch_assoc()) {
        ?>
        <div class="row mt">
          <div class="col-lg-12">
            <div class="form-panel" style="overflow:hidden;">
              <h4 class="mb"><i class="fa fa-server"></i> 系统</h4>
              <li class="list-group-item"><span class="pull-right"><?php echo $system['version']; ?></span>当前版本</li>
              <li class="list-group-item"><span class="pull-right"><?php if($latest_version == '') { echo '<span class="label label-danger">Not connected</span>'; } else { echo $latest_version; } ?></span>最新版本</li>
              <li class="list-group-item"><span class="pull-right"><?php echo phpversion(); ?></span>PHP版本</li>
              <li class="list-group-item"><span class="pull-right"><?php echo $system['site_url']; ?></span>网站网址</li>
              <li class="list-group-item"><span class="pull-right"><?php echo $_SERVER['SERVER_ADDR']; ?></span>服务器IP</li>
              <li class="list-group-item"><span class="pull-right"><?php if(function_exists('curl_version') != '') { echo 'Enabled'; } else { echo 'Disabled (Need to install)'; } ?></span>CURL</li>
            </div>
            <script>
              function updateClick() {
                document.getElementById('updateDiv').style.display = "none";
                document.getElementById('updatingDiv').style.display = "block";
              }
            </script>
            <div class="form-panel" style="overflow:hidden;" id="updateDiv">
              <h4 class="mb"><i class="fa fa-server"></i> 自动更新</h4>
              <?php
              if(function_exists('curl_version') != '') :
                if($system['version'] == $latest_version || $system['version'] > $latest_version) :
                ?>
                <p><b>重要的提示 !</b> 您使用的是最新版本。</p>
                在这里<p>注册 <span class="label label-info"><a href="https://newsletter.proxibolt.com" target="_blank" style="color: #FFF;"></a></span> 并且当有新的更新可用时得到通知。
                <?php
                else:
                ?>
                <form action="action.php" method="POST">
                  <input type="hidden" name="action" value="update">
                  <?php
                  $update_msg = get_proxibolt_api('http://api.proxibolt.com/messages/droppy/msg.html');

                  if($_GET['e'] == 'purchase') {
                    echo '<div class="alert alert-danger" role="alert">购买代码没有在Evavto系统上找到，你确定你已经正确输入了吗？</div>';
                  }
                  elseif($_GET['e'] == 'ip') {
                    echo '<div class="alert alert-danger" role="alert">DROPPY和这个购买代码已经在另一个IP地址上使用，如果您想在两个（或更多）系统上使用DROPPY，您需要购买另一个许可证。 <a href="http://codecanyon.net/item/droppy-online-file-sharing/10575317">here</a></div>';
                    echo '<div class="alert alert-warning" role="alert">如果你想把Doppy转到另一个IP地址，你需要联系我们。 <a href="http://support.proxibolt.com">点击这里</a>.</div>';
                  }
                  elseif($_GET['e'] == 'failed') {
                    echo '<div class="alert alert-danger" role="alert">更新失败，请再试一次。请与我们联系，如果这个问题继续发生，请 <a href="http://support.proxibolt.com">点击这里</a> </div>';
                  }
                  if($update_msg != 'NON' && $update_msg != '') {
                    echo '<div class="alert alert-info" role="alert">' . $update_msg . '</div>';
                  }
                  ?>
                  <p style="padding-left: 15px;">你的Doppy版本过时了，需要更新，请输入下面的购买代码，Droppy会为你做剩下的。</p><br>
                  <div class="form-group">
                    <div class="col-sm-10">
                        <input type="text" class="form-control" name="purchase_code" placeholder="您的购买代码" value="<?php echo $purchase_code; ?>" required>
                        <p><i>不知道在哪里找到你的购买代码？请看一下这篇文章： <a href="https://help.market.envato.com/hc/en-us/articles/202822600-Where-Can-I-Find-my-Purchase-Code-">点击这里</a></i></p>
                    </div>
                  </div>
                  <div style="float: right; padding-right: 5px;">             
                    <button type="submit" class="btn btn-success" onclick="updateClick();"><i class="fa fa-wrench"></i> 更新</button>
                  </div>
                </form>
                <?php
                endif;
              endif;
              ?>
            </div>
            <div class="form-panel" style="overflow:hidden; display: none;" id="updatingDiv">
              <div style="padding-top: 25px;">
                <p style="text-align:center;"><i class="fa fa-spinner fa-pulse fa-3x"></i><br><br>
                更新您的系统，请耐心等待。</p>
              </div>
            </div>
            <div class="form-panel" style="overflow:hidden;" id="manualUpdate">
              <h4 class="mb"><i class="fa fa-server"></i> 手动更新</h4>
              <form action="action.php" method="POST">
                <input type="hidden" name="action" value="update_manually">
                <p>您可以用下面的表单手动下载最新版本到您的桌面，如果您的系统无法自动更新，则可以使用此版本。</p><br>
                <div class="form-group">
                  <div class="col-sm-10">
                      <input type="text" class="form-control" name="purchase_code" placeholder="您的购买代码" value="<?php echo $purchase_code; ?>" required>
                      <p><i>不知道在哪里找到你的购买代码？请看一下这篇文章： <a href="https://help.market.envato.com/hc/en-us/articles/202822600-Where-Can-I-Find-my-Purchase-Code-">点击这里</a></i></p>
                  </div>
                </div>
                <div style="float: right; margin-top:-13px;">             
                  <button type="submit" class="btn btn-success"><i class="fa fa-download"></i> 下载</button>
                </div>
              </form>
            </div>
            <div class="form-panel" style="overflow:hidden;">
              <h4 class="mb"><i class="fa fa-server"></i> 最后5次更新</h4>
              <table class="table table-bordered table-striped table-condensed sortable">
                <thead>
                  <tr>
                    <th>ID</th>
                    <th>版本</th>
                    <th>安装日期</th>
                  </tr>
                </thead>
                <tbody>
                <?php
                  $get_lang = $mysqli->query("SELECT * FROM $table_updates ORDER BY id DESC LIMIT 5");

                  //Echo table content
                  while($row = $get_lang->fetch_assoc()) {
                    echo '<tr>';
                    echo '<td>' . $row['id'] . '</td>';
                    echo '<td>' . $row['version'] . '</td>';
                    echo '<td>' . $row['date'] . '</td>';
                    echo '</tr>';
                  }
                ?>                          
                </tbody>
              </table>
            </div>
          </div><!-- col-lg-12-->       
        </div><!-- /row -->
        <?php
        }
        ?>
      </section>
      <?php
      break;
      case 'plugins':
      ?>
      <section class="wrapper">
        <div class="row mt">
                <div class="col-lg-12">
                    <div class="form-panel" style="overflow:hidden ;">
                        <h4 class="mb"><i class="fa fa-angle-right"></i> 已安装的插件</h4>
                        <?php
                        $get_plugins = $mysqli->query("SELECT * FROM $table_plugins");
                        if($get_plugins->num_rows == 0) :
                        ?>
                          <p>找不到插件</p>
                        <?php
                        else:
                        ?>
                        <table class="table table-bordered table-striped table-condensed sortable">
                          <thead>
                            <tr>
                                <th>名称</th>
                                <th>路径</th>
                                <th>状态</th>
                                <th>版本</th>
                                <th>操作</th>  
                                <th>#</th>                             
                            </tr>
                          </thead>
                          <tbody>
                            <?php 
                            while($plugin = $get_plugins->fetch_assoc()) {
                              echo '<tr>';
                              echo '<td>' . $plugin['name'] . '</td>';
                              echo '<td>' . $plugin['path'] . '</td>';
                              echo '<td>' . $plugin['status'] . '</td>';
                              echo '<td>' . $plugin['version'] . '</td>';
                              if($plugin['status'] == 'ready') {
                                echo '<td><a href="action.php?action=suspend_plugin&plugin_id=' . $plugin['id'] . '"><i class="fa fa-toggle-off"></i> 暂停</a> | <a href="index.php?page=plugin_settings&id=' . $plugin['id'] . '"><i class="fa fa-cogs"></i> 设置</a> | <a href="index.php?page=update_plugin&id=' . $plugin['id'] . '"><i class="fa fa-wrench"></i> 更新</a></td>';
                              }
                              else
                              {
                                echo '<td><a href="action.php?action=activate_plugin&plugin_id=' . $plugin['id'] . '"><i class="fa fa-toggle-on"></i> 激活</a> | <a href="index.php?page=plugin_settings&id=' . $plugin['id'] . '"><i class="fa fa-cogs"></i> 设置</a> | <a href="index.php?page=update_plugin&id=' . $plugin['id'] . '"><i class="fa fa-wrench"></i> 更新</a></td>';
                              }
                              echo '<td><a href="action.php?action=delete_plugin&plugin_id=' . $plugin['id'] . '"><i class="fa fa-trash-o"></i> 移除</a></td>';
                              echo '</tr>';
                            }
                            ?>
                          </tbody>
                        </table>
                        <?php
                        endif;
                        ?>
                    </div>
                    <div class="form-panel" style="overflow:hidden ;">
                        <h4 class="mb"><i class="fa fa-angle-right"></i> 安装新插件</h4>
                        <form class="form-horizontal style-form" method="POST" action="action.php" enctype="multipart/form-data">
                          <input type="hidden" name="action" value="install_plugin">
                           <div class="form-group">
                              <label class="col-sm-2 col-sm-2 control-label">选择插件zip文件（参见文档）</label>
                              <div class="col-sm-10">
                                  <input type="file" name="file" required="required" accept="application/zip">
                              </div>
                          </div>
                          <div style="float: right; padding-right: 5px;">
                            <button type="submit" class="btn btn-success" ><i class="fa fa-bolt"></i> 安装</button>
                          </div>
                      </form>
                  </div>
              </div><!-- col-lg-12-->       
          </div><!-- /row -->
      </section>
      <?php
      break;
      case 'update_plugin':
      ?>
      <section class="wrapper">
        <div class="row mt">
                <div class="col-lg-12">
                    <div class="form-panel" style="overflow:hidden ;">
                        <h4 class="mb"><i class="fa fa-angle-right"></i> 更新插件</h4>
                        <form class="form-horizontal style-form" method="POST" action="action.php" enctype="multipart/form-data">
                            <input type="hidden" name="action" value="update_plugin">
                            <input type="hidden" name="id" value="<?php echo $_GET['id']; ?>">
                           <div class="form-group">
                              <label class="col-sm-2 col-sm-2 control-label">从CodeCanyon选择更新的插件zip文件</label>
                              <div class="col-sm-10">
                                  <input type="file" name="file" required="required" accept="application/zip">
                              </div>
                          </div>
                          <div style="float: right; padding-right: 5px;">
                            <button type="submit" class="btn btn-success" ><i class="fa fa-bolt"></i> 更新</button>
                          </div>
                      </form>
                  </div>
              </div><!-- col-lg-12-->       
          </div><!-- /row -->
      </section>
      <?php
      break;
      case 'themes':
      ?>
      <section class="wrapper">
        <div class="row mt">
                <div class="col-lg-12">
                    <div class="form-panel" style="overflow:hidden ;">
                        <h4 class="mb"><i class="fa fa-angle-right"></i> 已安装主题</h4>
                        <?php
                        $get_themes = $mysqli->query("SELECT * FROM $table_themes");
                        if($get_themes->num_rows == 0) :
                        ?>
                          <p><b>警告 !</b> 没有找到主题，您的主页现在不可用</p>
                        <?php
                        else:
                        ?>
                        <table class="table table-bordered table-striped table-condensed sortable">
                          <thead>
                            <tr>
                                <th>名称</th>
                                <th>路径</th>
                                <th>状态</th>
                                <th>操作</th>  
                                <th>#</th>                             
                            </tr>
                          </thead>
                          <tbody>
                            <?php 
                            while($theme = $get_themes->fetch_assoc()) {
                              echo '<tr>';
                              echo '<td>' . $theme['name'] . ' (<a href="../resources/themes/' . $theme['path'] . 'theme_preview.png" target="_blank">预览</a>)</td>';
                              echo '<td>' . $theme['path'] . '</td>';
                              if($theme['status'] == 'ready') {
                                echo '<td><span class="label label-info">在使用中</span></td>';
                              }
                              else
                              {
                                echo '<td><span class="label label-default">未设置</span></td>';
                              }
                              if($theme['status'] == 'ready') {
                                echo '<td><a href="action.php?action=suspend_theme&theme_id=' . $theme['id'] . '"><i class="fa fa-toggle-off"></i> 暂停</a></td>';
                              }
                              else
                              {
                                echo '<td><a href="action.php?action=activate_theme&theme_id=' . $theme['id'] . '"><i class="fa fa-toggle-on"></i> 已激活</a></td>';
                              }
                              echo '<td><a href="action.php?action=delete_theme&theme_id=' . $theme['id'] . '"><i class="fa fa-trash-o"></i> 移除</a></td>';
                              echo '</tr>';
                            }
                            ?>
                          </tbody>
                        </table>
                        <?php
                        endif;
                        ?>
                    </div>
                    <div class="form-panel" style="overflow:hidden ;">
                        <h4 class="mb"><i class="fa fa-angle-right"></i> 安装新主题</h4>
                        <form class="form-horizontal style-form" method="POST" action="action.php" enctype="multipart/form-data">
                          <input type="hidden" name="action" value="add_theme">
                           <div class="form-group">
                              <div>
                                <label class="col-sm-2 col-sm-2 control-label">主题名称</label>
                                <div class="col-sm-4">
                                    <input type="text" class="form-control" name="name" required="required" placeholder="主题名称">
                                </div>
                              </div>
                              <div style="margin-top: 50px;">
                                <label class="col-sm-2 col-sm-2 control-label">主题目录路径（位于“resources/themes /”目录中）</label>
                                <div class="col-sm-4">
                                    <input type="text" class="form-control" name="directory" required="required" placeholder="主题的路径（主题/目录的路径）">
                                    <p><em>不要忘记结尾处的“/”（反斜杠）。</em></p>
                                </div>
                                
                              </div>
                          </div>
                          <div style="float: right; padding-right: 5px;">
                            <button type="submit" class="btn btn-success" ><i class="fa fa-bolt"></i> 添加主题</button>
                          </div>
                      </form>
                  </div>
              </div><!-- col-lg-12-->       
          </div><!-- /row -->
      </section>
      <?php
      break;
      case 'uploads':
      $get_files = $mysqli->query("SELECT * FROM $table_uploads");
      $count_uploads = $get_files->num_rows;
      ?>
      <section class="wrapper">
            <h3><i class="fa fa-angle-right"></i> 上传
            <div style="float: right;"><button type="button" data-toggle="modal" data-target="#modalCleardb" class="btn btn-danger"><li class="fa fa-trash"></li> 清除数据库</a></div></h3>
          <div class="row mt">
            <div class="col-lg-12">
                      <?php
                      if($_GET['msg'] == 'dbcleared') {
                        echo '<div class="alert alert-success" role="alert">数据库已清除！</div>';
                      } 
                      if($_GET['msg'] == 'destroyed') {
                        echo '<div class="alert alert-success" role="alert">上传已被删除</div>';
                      }
                      ?>
                      <div class="content-panel">
                          <section id="unseen" style="overflow:auto;">
                          <?php
                          if($count_uploads == 0) :
                          ?>
                          <h4>没有发现上传</h4>
                          <?php
                          else:
                          ?>
                            <table class="table table-bordered table-striped table-condensed sortable">
                              <thead>
                                <tr>
                                    <th>标识</th>
                                    <th>ID</th>
                                    <th>所有者</th>
                                    <th>上传日期</th>
                                    <th>文件总数</th>
                                    <th>总下载量</th>                              
                                    <th>状态</th>
                                    <th>共享类型</th>
                                    <th>密码</th>
                                    <th class="numeric">大小 (MB)</th>
                                    <th>IP</th>
                                    <th>删除</th>
                                    <th>操作</th>
                                </tr>
                              </thead>
                              <tbody>
                              <?php
                                //Get table page
                                $rows_per_page = 20;
                                if(isset($_GET['table'])) {
                                  $table_page = $_GET['table'];
                                }
                                else
                                {
                                  $table_page = 0;
                                }                              
                                $current_table = $table_page * $rows_per_page;

                                if($_GET['view'] == 'ALL') {
                                  $get_uploads = $mysqli->query("SELECT * FROM $table_uploads ORDER BY time"); 
                                }
                                else
                                {
                                  $get_uploads = $mysqli->query("SELECT * FROM $table_uploads ORDER BY time DESC LIMIT $current_table, $rows_per_page"); 
                                }

                                //Echo table content
                                while($row = $get_uploads->fetch_assoc()) {
                                  $upload_unique = $row['upload_id'];
                                  $get_total_downloads = $mysqli->query("SELECT * FROM $table_downloads WHERE download_id='$upload_unique'");
                                  $total_downloads = $get_total_downloads->num_rows;
                                  echo '<tr>';
                                  if($row['flag'] != '' || $row['flag'] == 'yes') {
                                    echo '<td><a onclick="rmFlag(\'' . $row['upload_id'] . '\')" alt="Remove flag" id="flag_' . $row['upload_id'] . '"><i class="fa fa-flag"></i></a></td>';
                                  }
                                  else
                                  {
                                    echo '<td></td>';
                                  }                          
                                  echo '<td><a href="../' . $row['upload_id'] . '&a=' . $row['secret_code'] . '" target="_blank">' . $row['upload_id'] . '</a></td>';
                                  if(empty($row['email_from'])) {
                                    echo '<td>链接（无电子邮件）</td>';
                                  }
                                  else
                                  {
                                    echo '<td>' . $row['email_from'] . '</td>';
                                  }
                                  echo '<td>' . date("F j, Y, g:i a", $row['time']) . '</td>';
                                  echo '<td class="numeric">' . $row['count'] . '</td>';
                                  echo '<td>' . $total_downloads . '</td>';
                                  if($row['status'] == 'ready') {
                                    echo '<td ><i class="fa fa-check"></i> 准备</td>';
                                  }
                                  if($row['status'] == 'destroyed') {
                                    echo '<td><i class="fa fa-times"></i> 已经被删除</td>';
                                  }
                                  if($row['status'] == 'processing') {
                                    echo '<td><i class="fa fa-refresh"></i> 处理中</td>';
                                  }
                                  if($row['share'] == 'mail') {
                                    echo '<td>电子邮件</td>';
                                  }
                                  if($row['share'] == 'link') {
                                    echo '<td>链接</td>';
                                  }
                                  if($row['password'] == 'EMPTY') {
                                    echo '<td>否</td>';
                                  }
                                  else
                                  {
                                    echo '<td>是</td>';
                                  }
                                  echo '<td>' . (($row['size'] < 1048576)? round($row['size'] / 1024, 2) . ' KB' : round($row['size'] / 1048576, 2) . ' MB').'</td>';
                                  echo '<td>' . $row['ip'] . '</td>';
                                  if($row['destruct'] == 'YES') {
                                    echo '<td>是</td>';
                                  }
                                  elseif($row['destruct'] == 'NO') {
                                    echo '<td>否</td>';
                                  }
                                  if($row['status'] == 'ready') {
                                    if(isset($amazon_plugin) && $amazon_plugin == 'true') {
                                      $thispage = "//{$_SERVER['HTTP_HOST']}{$_SERVER['REQUEST_URI']}";
                                      echo '<td><a href="../plugins/' . basename($amazon_dir) . '/action.php?action=delete&id=' . $row['upload_id'] . '&return=' . $thispage . '"><i class="fa fa-trash"></i> 删除</a></td>';
                                    }
                                    elseif(isset($ftp_plugin) && $ftp_plugin == 'true') {
                                      $thispage = "//{$_SERVER['HTTP_HOST']}{$_SERVER['REQUEST_URI']}";
                                      echo '<td><a href="../plugins/' . basename($ftp_dir) . '/action.php?action=delete&id=' . $row['upload_id'] . '&return=' . $thispage . '"><i class="fa fa-trash"></i> 删除</a></td>';
                                    }
                                    else
                                    {
                                      echo '<td><a href="action.php?action=delete_upload&id=' . $row['upload_id'] . '"><i class="fa fa-trash"></i> 删除</a></td>';
                                    }
                                  }
                                  if($row['status'] == 'destroyed') {
                                    echo '<td></td>';
                                  }
                                  echo '</tr>';
                                }
                              ?>                          
                            </tbody>
                        </table>
                        <?php
                        if($_GET['view'] != 'ALL'):
                        //Pagination script
                        $get_all = $mysqli->query("SELECT * FROM $table_uploads");
                        $count_rows = $get_all->num_rows;
                        $total_pages = round($count_rows / $rows_per_page);
                        $page_up = $table_page + 1;
                        $page_down = $table_page - 1;
                        ?>
                        <div style="float: right; padding-right: 10px;">
                        <?php
                        if($table_page > 0):
                        ?>
                          <a href="?page=uploads&table=<?php echo $page_down; ?>" class="btn btn-danger"><i class="fa fa-arrow-left"></i> 预览</a>
                        <?php
                        endif;
                        if($total_pages > $table_page + 1) :
                        ?>
                          <a href="?page=uploads&table=<?php echo $page_up; ?>" class="btn btn-success">下一个 <i class="fa fa-arrow-right"></i></a>
                        <?php
                        endif;
                        ?>
                        </div>
                        <div style="float: left; padding-left: 10px;">
                          <a href="index.php?page=uploads&view=ALL" class="btn btn-success">查看全部</a>
                        </div>
                        <?php
                        endif;
                        endif;
                        ?>
                      </section>
                  </div><!-- /content-panel -->
               </div><!-- /col-lg-4 -->     
        </div><!-- /row -->
      </section><! --/wrapper -->
      <?php
      break;
      case 'downloads':
      $get_downloads = $mysqli->query("SELECT * FROM $table_downloads");
      $count_downloads = $get_downloads->num_rows;
      ?>
      <section class="wrapper">
            <h3><i class="fa fa-angle-right"></i> 下载
            <div style="float: right;"><button type="button" data-toggle="modal" data-target="#modalCleardb" class="btn btn-danger"><li class="fa fa-trash"></li> 清除数据库</a></div></h3>
          <div class="row mt">
            <div class="col-lg-12">
                      <?php
                      if($_GET['msg'] == 'dbcleared') {
                        echo '<div class="alert alert-success" role="alert">数据库已清除！</div>';
                      } 
                      if($_GET['msg'] == 'destroyed') {
                        echo '<div class="alert alert-success" role="alert">上传已被删除</div>';
                      }
                      ?>
                      <div class="content-panel">
                          <section id="unseen" style="overflow:auto;">
                          <?php
                          if($count_downloads == 0) :
                          ?>
                          <h4>没有发现下载</h4>
                          <?php
                          else:
                          ?>
                            <table class="table table-bordered table-striped table-condensed sortable">
                              <thead>
                                <tr>
                                    <th>ID</th>
                                    <th>时间</th>
                                    <th>下载邮箱</th>
                                    <th>IP</th>
                                </tr>
                              </thead>
                              <tbody>
                              <?php
                                //Get table page
                                $rows_per_page = 20;
                                if(isset($_GET['table'])) {
                                  $table_page = $_GET['table'];
                                }
                                else
                                {
                                  $table_page = 0;
                                }                              
                                $current_table = $table_page * $rows_per_page;
                                if($_GET['view'] == 'ALL') {
                                  $get_uploads = $mysqli->query("SELECT * FROM $table_downloads ORDER BY time"); 
                                }
                                else
                                {
                                  $get_uploads = $mysqli->query("SELECT * FROM $table_downloads ORDER BY time DESC LIMIT $current_table, $rows_per_page"); 
                                }
                                //Echo table content
                                while($row = $get_uploads->fetch_assoc()) {
                                  echo '<tr>';                                
                                  echo '<td><a href="../' . $row['download_id'] . '" target="_blank">' . $row['download_id'] . '</a></td>';
                                  echo '<td>' . date("F j, Y, g:i a", $row['time']) . '</td>';
                                  echo '<td>' . $row['email'] . '</td>';
                                  echo '<td>' . $row['ip'] . '</td>';
                                  echo '</tr>';
                                }
                              ?>                          
                            </tbody>
                        </table>
                        <?php
                        if($_GET['view'] != 'ALL'):
                          //Pagination script
                          $get_all = $mysqli->query("SELECT * FROM $table_downloads");
                          $count_rows = $get_all->num_rows;
                          $total_pages = round($count_rows / $rows_per_page);
                          $page_up = $table_page + 1;
                          $page_down = $table_page - 1;
                          ?>
                          <div style="float: right; padding-right: 10px;">
                          <?php
                          if($table_page > 0):
                          ?>
                            <a href="?page=downloads&table=<?php echo $page_down; ?>" class="btn btn-danger"><i class="fa fa-arrow-left"></i> 浏览</a>
                          <?php
                          endif;
                          if($total_pages > $table_page + 1) :
                          ?>
                            <a href="?page=downloads&table=<?php echo $page_up; ?>" class="btn btn-success">下一个 <i class="fa fa-arrow-right"></i></a>
                          <?php
                          endif;
                          ?>
                          </div>
                          <div style="float: left; padding-left: 10px;">
                            <a href="index.php?page=downloads&view=ALL" class="btn btn-success">查看全部</a>
                          </div>
                          <?php
                          endif;
                        endif;
                        ?>
                      </section>
                  </div><!-- /content-panel -->
               </div><!-- /col-lg-4 -->     
        </div><!-- /row -->
      </section><! --/wrapper -->
      <?php
      break;
      case 'pages':
      $get_pages = $mysqli->query("SELECT * FROM $table_pages");
      $count_pages = $get_pages->num_rows;
      ?>
      <section class="wrapper">
            <h3><i class="fa fa-angle-right"></i> 页面
          <div class="row mt">
            <div class="col-lg-12">
                      <div class="content-panel">
                          <section id="unseen" style="overflow:auto; font-size: 14px;">
                          <?php
                          if($count_pages == 0) :
                          ?>
                          <h4>没有找到页面</h4>
                          <?php
                          else:
                          ?>
                            <table class="table table-bordered table-striped table-condensed sortable">
                              <thead>
                                <tr>
                                    <th>ID</th>
                                    <th>类型</th>
                                    <th>标题</th>
                                    <th>来源</th>
                                    <th>路径</th>
                                    <th>#</th>
                                </tr>
                              </thead>
                              <tbody>
                              <?php
                                //Get table page
                                $get_pages = $mysqli->query("SELECT * FROM $table_pages"); 
                                //Echo table content
                                while($row = $get_pages->fetch_assoc()) {
                                  echo '<tr>';                                
                                  echo '<td>' . $row['id'] . '</td>';
                                  echo '<td>' . $row['type'] . '</td>';
                                  echo '<td>' . $row['title'] . '</td>';
                                  echo '<td>' . $row['parent'] . '</td>';
                                  echo '<td>' . $row['path'] . '</td>';
                                  echo '<td><a href="action.php?action=delete_page&id=' . $row['id'] . '">Delete</a></td>';
                                  echo '</tr>';
                                }
                              ?>                          
                            </tbody>
                        </table>
                        <?php
                        endif;
                        ?>
                      </section>
                  </div><!-- /content-panel -->
               </div><!-- /col-lg-4 -->     
        </div><!-- /row -->
      </section><! --/wrapper -->
      <?php
      break;
      case 'personal':
      ?>
      <section class="wrapper">
        <div class="row mt">
                <div class="col-lg-12">
                    <div class="form-panel" style="overflow:hidden;">
                        <h4 class="mb"><i class="fa fa-angle-right"></i> 社交设置</h4>
                        <form class="form-horizontal style-form" method="post" action="action.php">
                          <input type="hidden" name="action" value="settings_personal">
                           <div class="form-group">
                              <label class="col-sm-2 col-sm-2 control-label">登录邮箱</label>
                              <div class="col-sm-10">
                                  <input type="email" class="form-control" name="email" placeholder="Admin email" value="<?php echo $_SESSION['droppy_admin']; ?>">
                                  <p><i>管理员登录邮件</i></p>
                              </div>
                          </div>
                          <div class="form-group">
                              <label class="col-sm-2 col-sm-2 control-label">登录密码</label>
                              <div class="col-sm-10">
                                  <input type="password" class="form-control" name="password" placeholder="Password">
                                  <p><i>管理员登录密码（保留空白保持不变）</i></p>
                              </div>
                          </div>
                          <div style="float: right; padding-right: 5px;">             
                            <button type="submit" class="btn btn-success" ><i class="fa fa-floppy-o"></i> 保存</button>
                          </div>
                      </form>
                  </div>
              </div><!-- col-lg-12-->       
          </div><!-- /row -->
      </section>
      <?php
      break;
      case 'users':
      $get_users = $mysqli->query("SELECT * FROM $table_users");
      $count_users = $get_users->num_rows;
      ?>
      <section class="wrapper">
            <h3><i class="fa fa-angle-right"></i> 用户
            <div style="float: right;"><button type="button" data-toggle="modal" data-target="#modalAddUser" class="btn btn-success"><li class="fa fa-plus-o"></li> 添加用户</a></div></h3>
            <div class="row mt">
               <div class="col-lg-12">
                      <?php
                      if($_GET['user'] == 'exists') :
                      ?>
                      <div class="alert alert-danger" role="alert">该用户已经存在</div>
                      <?php
                      endif;
                      ?>
                      <div class="content-panel">
                          <section id="unseen" style="overflow:auto; font-size: 18px;">
                          <?php
                          if($count_users == 0) :
                          ?>
                          <h4>数据库中未找到用户。</h4>
                          <?php
                          else:
                          ?>
                            <table class="table table-bordered table-striped table-condensed">
                              <thead>
                                <tr>
                                    <th>ID</th>
                                    <th>邮箱</th>
                                    <th>操作</th>
                                </tr>
                              </thead>
                              <tbody>
                              <?php
                                //Get table page
                                $rows_per_page = 20;
                                if(isset($_GET['table'])) {
                                  $table_page = $_GET['table'];
                                }
                                else
                                {
                                  $table_page = 0;
                                }                              
                                $current_table = $table_page * $rows_per_page;

                                $get_users_table = $mysqli->query("SELECT * FROM $table_users ORDER BY id DESC LIMIT $current_table, $rows_per_page"); 

                                //Echo table content
                                while($row = $get_users_table->fetch_assoc()) {
                                  echo '<tr>';                                
                                  echo '<td>' . $row['id'] . '</td>';
                                  echo '<td>' . $row['email'] . '</td>';
                                  echo '<td><a href="action.php?action=delete_user&id=' . $row['id'] . '">移除</a> | <a href="#" data-toggle="modal" data-target="#modalEditUser_' . $row['id'] . '">编辑</a></td>';
                                  echo '</tr>';
                                }
                              ?>                          
                            </tbody>
                        </table>
                        <?php
                        //Pagination script
                        $get_all = $mysqli->query("SELECT * FROM $table_users");
                        $count_rows = $get_all->num_rows;
                        $total_pages = round($count_rows / $rows_per_page);
                        $page_up = $table_page + 1;
                        $page_down = $table_page - 1;
                        ?>
                        <div style="float: right; padding-right: 10px;">
                        <?php
                        if($table_page > 0):
                        ?>
                          <a href="?page=users&table=<?php echo $page_down; ?>" class="btn btn-danger"><i class="fa fa-arrow-left"></i> 浏览</a>
                        <?php
                        endif;
                        if($total_pages > $table_page + 1) :
                        ?>
                          <a href="?page=users&table=<?php echo $page_up; ?>" class="btn btn-success">下一个 <i class="fa fa-arrow-right"></i></a>
                        <?php
                        endif;
                        ?>
                        </div>
                        <?php
                        endif;
                        ?>
                      </section>
                  </div><!-- /content-panel -->
               </div><!-- /col-lg-4 -->     
        </div><!-- /row -->
      </section><! --/wrapper -->
      <?php
      while($row = $get_users->fetch_assoc()) {
        echo '<div class="modal fade" id="modalEditUser_' . $row['id'] . '" tabindex="-1" role="dialog" aria-labelledby="modalEditUser_' . $row['id'] . 'Label" aria-hidden="true">
                <div class="modal-dialog">
                  <div class="modal-content">
                    <div class="modal-header">
                      <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                      <h4 class="modal-title" id="modalEditUser_' . $row['id'] . 'Label">编辑用户: ' . $row['email'] . '</h4>
                    </div>
                    <div class="modal-body">
                    <form method="post" action="action.php">
                      <input type="hidden" name="action" value="edit_user">
                      <input type="hidden" name="id" value="' . $row['id'] . '">
                      <div class="form-group">
                        <input type="text" class="form-control" name="email" placeholder="邮箱" value="' . $row['email'] . '"><br>
                      </div>
                      <div class="form-group">
                        <input type="password" class="form-control" name="password" placeholder="密码" ><br>
                      </div>
                      <input type="submit" class="btn btn-success" value="保存编辑">
                    </form>
                    </div>
                    <div class="modal-footer">
                      <button type="button" class="btn btn-default" data-dismiss="modal">关闭</button>
                    </div>
                  </div>
                </div>
              </div>';
      }
      break;
      case 'log':
      ?>
      <section class="wrapper">
        <div class="row mt">
              <div class="col-lg-12">
                <div id="logarea" style="width: 100%;">
                <?php
                $get_log = $mysqli->query("SELECT * FROM $table_log ORDER BY time DESC");
                if($get_log->num_rows == 0) {
                  echo '没有数据';
                }
                else
                {
                  while($row = $get_log->fetch_assoc()) {
                    echo '<p><span style="color: red;">[' . date("Y-m-d H:i:s", $row['time']) . ']</span> ' . $row['msg'] . '</p>';
                  }
                }
                ?>
                </div>
              </div><!-- col-lg-12-->       
          </div><!-- /row -->
      </section>
      <?php
      break;
      }
      ?>
      <!--main content end-->
  </section>

<div class="modal fade" id="modalCleardb" tabindex="-1" role="dialog" aria-labelledby="modalCleardbLabel" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
        <h4 class="modal-title" id="modalCleardbLabel">清除数据库</h4>
      </div>
      <div class="modal-body" style="text-align: center;">
        <li class="fa fa-exclamation-triangle fa-5x"></li>
        <p style="padding-top: 10px;">确实要删除数据库中的所有数据吗？这将包括上传、文件和下载数据。</p>
        <p><b>警告！</b> 这不会删除服务器上的任何上传文件。</p>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal">关闭</button>
        <a type="button" href="action.php?action=cleardb" class="btn btn-primary">清除数据库</a>
      </div>
    </div>
  </div>
</div>
<div class="modal fade" id="modalAddUser" tabindex="-1" role="dialog" aria-labelledby="modalAddUserLabel" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
        <h4 class="modal-title" id="modalAddUserLabel">添加用户</h4>
      </div>
      <form id="createUser" action="action.php" method="POST">
        <input type="hidden" name="action" value="create_user">
        <div class="modal-body">
          <div id="userError"></div>
          <div class="form-group">
            <input type="text" class="form-control" name="email" placeholder="邮箱">
          </div>
          <div class="form-group">
            <input type="password" class="form-control" name="password" placeholder="密码">
          </div>
          <button type="submit" class="btn btn-success" id="submitAddUser">添加用户</button>
        </div>
      </form>
      <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal">关闭</button>
      </div>
    </div>
  </div>
</div>

<!-- js placed at the end of the document so the pages load faster -->
<script src="../src/js/admin/bootstrap.min.js"></script>
<script class="include" type="text/javascript" src="../src/js/admin/jquery.dcjqaccordion.2.7.js"></script>
<script src="../src/js/admin/jquery.scrollTo.min.js"></script>
<script src="../src/js/admin/jquery.nicescroll.js" type="text/javascript"></script>
<script src="../src/js/admin/jquery.sparkline.js"></script>


<!--common script for all pages-->
<script src="../src/js/admin/common-scripts.js"></script>

<!--script for this page-->
<script src="../src/js/admin/sparkline-chart.js"></script>    
<script src="../src/js/admin/zabuto_calendar.js"></script>	

<script type="application/javascript">
    $(document).ready(function () {
        $("#date-popover").popover({html: true, trigger: "manual"});
        $("#date-popover").hide();
        $("#date-popover").click(function (e) {
            $(this).hide();
        });
    
        $("#my-calendar").zabuto_calendar({
            action: function () {
                return myDateFunction(this.id, false);
            },
            action_nav: function () {
                return myNavFunction(this.id);
            },
            ajax: {
                url: "show_data.php?action=1",
                modal: true
            },
            legend: [
                {type: "text", label: "Special event", badge: "00"},
                {type: "block", label: "Regular event", }
            ]
        });
    });
    
    function emailServer() {
      var X = document.getElementById("email_server").value;
      if(X == 'LOCAL') {
        document.getElementById('smtpSection').style.display = "none";
        document.getElementById('localSection').style.display = "block";
      }
      if(X == 'SMTP') {
        document.getElementById('smtpSection').style.display = "block";
        document.getElementById('localSection').style.display = "none";
      }
    }
    
    function myNavFunction(id) {
        $("#date-popover").hide();
        var nav = $("#" + id).data("navigation");
        var to = $("#" + id).data("to");
        console.log('nav ' + nav + ' to: ' + to.month + '/' + to.year);
    }

    function add_bg_section() {
      var newdiv = document.createElement('div');
      newdiv.innerHTML = '<div style="padding-top: 30px;"><b>选择文件：</b>（仅为图像）<input type="file" name="background[]" accept="image/*,video/mp4"><br><input type="text" name="background_url[]" class="form-control" placeholder="背景地址（空空如也）"></div>';
      document.getElementById('extraBG').appendChild(newdiv);
    }

    function rmFlag(id) {
      var dataString = 'action=rmflag&id='+id;
      $.ajax({
        type: "POST",
        url: 'action.php',
        data: dataString,
        cache: false,
        success: function(){}
      });
      document.getElementById('flag_'+id+'').remove();
    }
</script>
  
  </body>
</html>
